<h2>Bucket list</h2>

<app-bucket-new *ngIf="visibilityNewBucket" (saveEvent)="setVisibility($event)"></app-bucket-new>

<div class="bucket-container">
  <span>All Buckets ({{bucketList.length}})</span>
  <button type="button" (click)="newBucket()">Create New Bucket!</button>
  <table>
    <tr>
      <th>Name</th>
      <th>Location</th>
    </tr>
    <tr *ngFor="let bucket of bucketList">
      <td *ngIf="bucket.name" (click)="navigate(bucket)" class="mouse-over">{{bucket.name}}</td>
      <td *ngIf="bucket.location">{{bucket.location}}</td>

    </tr>
  </table>
</div>
